me.legofreak107.vehiclesplus.vehicles.api.events

## Class VehicleGiveEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.VehicleGiveEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class VehicleGiveEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`VehicleGiveEvent(StorageVehicle vehicle, org.bukkit.entity.Player driver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.entity.Player` `getDriver()`
`org.bukkit.event.HandlerList` `getHandlers()`
`StorageVehicle` `getVehicle()`
`boolean` `isCancelled()`
`void` `run(java.lang.Runnable run)`
`void` `setCancelled(boolean b)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehicleGiveEvent

    public VehicleGiveEvent(StorageVehicle vehicle,
                            org.bukkit.entity.Player driver)

### Method Detail

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean b)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getVehicle

    public StorageVehicle getVehicle()

#### getDriver

    public org.bukkit.entity.Player getDriver()

#### run

    public void run(java.lang.Runnable run)